.header-bar {
      display: flex;
      justify-content: space-between;
      align-items: center;
      width: 100%;            /* Full width of screen */
      padding: 5px 16px 2px 16px;
      box-sizing: border-box;
      background: #fff;
      border-bottom: 1px solid #ddd;
      position: fixed;        /* Stick to top */
      top: 0;
      left: 0;
      z-index: 100;
    }
    .header-bar button {
      margin: 0;
      padding:2px;
    }

    .header-button {
      background: none;
      border: none;
      font-size: 20px;
      cursor: pointer;
      padding: 8px 8px;
      color: #333;
    }

    .header-icons {
      display: flex;
      gap: 12px;
    }

    .toggle-setting {
      display: flex;
      justify-content: space-between;
      align-items: center;
      margin: 12px 0;
      font-size: 0.95rem;
      color: #333;
    }

    .toggle-setting input[type="checkbox"] {
      display: none;
    }

    .toggle-setting .slider {
      position: relative;
      width: 40px;
      height: 20px;
      background-color: #ccc;
      border-radius: 20px;
      transition: background-color 0.3s;
      cursor: pointer;
    }

    .toggle-setting .slider::before {
      content: "";
      position: absolute;
      top: 2px;
      left: 2px;
      width: 16px;
      height: 16px;
      background-color: white;
      border-radius: 50%;
      transition: transform 0.3s;
    }

    .toggle-setting input[type="checkbox"]:checked + .slider {
      background-color: #007bff;
    }

    .toggle-setting input[type="checkbox"]:checked + .slider::before {
      transform: translateX(20px);
    }

    .setting-label-text {
      margin-right: 20px;
      flex: 1;  /* allows the label text to take up space */
    }



    body.dark-mode .header-bar,
    body.dark-mode #side-menu {
      background-color: #2a2a2a;
      color: #fff;
      border-bottom: 1px solid #444;
    }

        body.dark-mode #side-menu a, body.dark-mode .toggle-setting, body.dark-mode .header-button  {
      color: #ddd;
    }
    body.dark-mode #side-menu, body.dark-mode #close-menu {
      background-color: #1c1c1c;
      color: #eee;
    }
    body.dark-mode #side-menu {
      box-shadow: 2px 0 5px rgba(255, 255, 255, 0.1);
    }
    body.dark-mode .menu-settings {
      border-top-color: #444;
    }
    body.dark-mode .header-button:hover {
      color: #fff;
      background-color: #2a2a2a;
    }